%{
    #include <stdio.h>
    extern void yyerror(const char*);
    extern int yylex(void);
%}

%token DATUM TID KOLON ORD SEMIKOLON KLART
%define parse.error verbose
%start inmatning

%%

inmatning : rapporter klartkommando ;

rapporter : rapporter rapport | %empty ;

klartkommando : KLART SEMIKOLON ;

rapport : DATUM TID KOLON ordlista SEMIKOLON ;

ordlista : ordlista ORD | %empty ;

%%

int main() {
    printf("Skriv in en inmatning. Avsluta med CTRL-D.\n");
    yyparse();
    printf("Done.\n");
    return 0;
}

void yyerror(const char *s) {
    printf("Goodbye. You have failed. This is how you failed: %s.\n", s);
}

int yywrap(void) {
    return 1;
}
